Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Makro speichert Wert für Rechteck-Abrundung

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Makro speichert Wert für Rechteck-Abrundung (929 mal gelesen)
CADJojo
Mitglied
Techn. Zeichner im Ladenbau


Sehen Sie sich das Profil von CADJojo an!   Senden Sie eine Private Message an CADJojo  Schreiben Sie einen Gästebucheintrag für CADJojo

Beiträge: 480
Registriert: 16.04.2010

AutoCAD 2016
HP xw4600 Workstation / Windows 7 Pro /
Intel Core i5-3470 3,2 GHz / 8 GB RAM
Grafikkarte: AMD FirePro V3900 (ATI FireGL)

erstellt am: 03. Apr. 2018 11:55    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

ich habe schon länger ein kleines Makro in Betrieb, das mir einen Bereich kennzeichnet, den ich als Detail darstellen will.

^C^Crechteck;a;50;

Das Blöde ist nur, dass der Wert für den Abrundungsradius danach gespeichert bleibt.

Könntet Ihr mir kurz helfen und mir das Makro, wenn möglich, so erweitern, dass sich der Wert nach Fertigstellung des Rechtecks wieder auf 0 stellt?

Alternativ würde ich ein Aktionsmakro erstellen....

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Kramer24
Ehrenmitglied V.I.P. h.c.
Architekt


Sehen Sie sich das Profil von Kramer24 an!   Senden Sie eine Private Message an Kramer24  Schreiben Sie einen Gästebucheintrag für Kramer24

Beiträge: 5785
Registriert: 09.11.2001

Acad Architecture 2017
WIN 10

erstellt am: 03. Apr. 2018 13:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für CADJojo 10 Unities + Antwort hilfreich

CADJojo,
du könntest im Makro das Zeichnen des Rechteckes berücksichtigen -> den Befehl wiederholen mit Abrunden=0 -> Befehlsabbruch mit ^C^C.
Dann ist der Befehl wieder im Standard.

Lothar

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADJojo
Mitglied
Techn. Zeichner im Ladenbau


Sehen Sie sich das Profil von CADJojo an!   Senden Sie eine Private Message an CADJojo  Schreiben Sie einen Gästebucheintrag für CADJojo

Beiträge: 480
Registriert: 16.04.2010

AutoCAD 2016
HP xw4600 Workstation / Windows 7 Pro /
Intel Core i5-3470 3,2 GHz / 8 GB RAM
Grafikkarte: AMD FirePro V3900 (ATI FireGL)

erstellt am: 03. Apr. 2018 13:41    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Lothar,

ja das ist das Ziel, aber wie ich das Zeichnen des Rechteckes berücksichtigen kann, ist mir nicht klar.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADuceus
Mitglied
BIM/CAD Administrator


Sehen Sie sich das Profil von CADuceus an!   Senden Sie eine Private Message an CADuceus  Schreiben Sie einen Gästebucheintrag für CADuceus

Beiträge: 327
Registriert: 20.01.2005

Revit 2017/2019 (D/EN)
Win10 64bit / Chrome
Intel® Core™ i7-8550U 1.99GHz / 16GB
Radeon RX 540
HP DesignJet T795

erstellt am: 03. Apr. 2018 14:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für CADJojo 10 Unities + Antwort hilfreich

Hallo

Schau mal in der Hilfe unter Befehlsmakros nach.

Das Abwarten von Benutzereingaben (Erste Ecke, Zweite Ecke) kann mit dem Backslash "\" erzwungen werden.

Ohne zu testen: ^C^Crechteck;a;50;\\^C^Crechteck;a;0;^C^C

------------------
Du kannst in anderen nur entzünden,
was in Dir selber brennt! 

Wollte noch ein File anhängen, aber habe die Kiste schon heruntergefahren.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADJojo
Mitglied
Techn. Zeichner im Ladenbau


Sehen Sie sich das Profil von CADJojo an!   Senden Sie eine Private Message an CADJojo  Schreiben Sie einen Gästebucheintrag für CADJojo

Beiträge: 480
Registriert: 16.04.2010

AutoCAD 2016
HP xw4600 Workstation / Windows 7 Pro /
Intel Core i5-3470 3,2 GHz / 8 GB RAM
Grafikkarte: AMD FirePro V3900 (ATI FireGL)

erstellt am: 03. Apr. 2018 14:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Asche auf mein Haupt.

Ich habe bei anderen Problemen schon so oft erfolglos in der Hilfe gesucht, dass ich es jetzt erst gar nicht mehr probiert habe.  

Vielen Dank !

[Diese Nachricht wurde von CADJojo am 03. Apr. 2018 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADJojo
Mitglied
Techn. Zeichner im Ladenbau


Sehen Sie sich das Profil von CADJojo an!   Senden Sie eine Private Message an CADJojo  Schreiben Sie einen Gästebucheintrag für CADJojo

Beiträge: 480
Registriert: 16.04.2010

AutoCAD 2016
HP xw4600 Workstation / Windows 7 Pro /
Intel Core i5-3470 3,2 GHz / 8 GB RAM
Grafikkarte: AMD FirePro V3900 (ATI FireGL)

erstellt am: 03. Apr. 2018 14:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ich muss leider noch mal nachhaken.

Mit dem Radius klappt es jetzt, aber .....

Ich habe das Makro auf einer Werkzeugpalette und dort festgelegt, welchen Layer, welche Farbe und welchen Linientyp das Rechteck hat.
Bisher wurde dieses nur auf das Objekt angewendet, jetzt ist es allerdings so, dass Acad diesen Layer, diese Farbe und diesen Linientyp aktuell setzt.
Ich traue mir zwar jetzt zu, mein Makro dahingehend zu erweitern, aber normal ist das doch nicht, oder?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Vino
Mitglied



Sehen Sie sich das Profil von Vino an!   Senden Sie eine Private Message an Vino  Schreiben Sie einen Gästebucheintrag für Vino

Beiträge: 125
Registriert: 24.05.2005

Windows 10
BricsCAD V19

erstellt am: 03. Apr. 2018 15:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für CADJojo 10 Unities + Antwort hilfreich

Ich habe hier kein ACAD zum Testen, aber evtl. wird durch das zweite "^C^C" das Zurücksetzen der Einstellungen abgebrochen.
Da der Befehl Rechteck nach 2 Benutzereingaben (2 Punkte) abgeschlossen ist, ist es ja auch nicht nötig.

Versuchs mal mit:
^C^Crechteck;a;50;\\rechteck;a;0;^C^C

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADJojo
Mitglied
Techn. Zeichner im Ladenbau


Sehen Sie sich das Profil von CADJojo an!   Senden Sie eine Private Message an CADJojo  Schreiben Sie einen Gästebucheintrag für CADJojo

Beiträge: 480
Registriert: 16.04.2010

AutoCAD 2016
HP xw4600 Workstation / Windows 7 Pro /
Intel Core i5-3470 3,2 GHz / 8 GB RAM
Grafikkarte: AMD FirePro V3900 (ATI FireGL)

erstellt am: 03. Apr. 2018 15:40    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Zitat:
Original erstellt von Vino:
Versuchs mal mit:
^C^Crechteck;a;50;\\rechteck;a;0;^C^C


Leider nicht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Vino
Mitglied



Sehen Sie sich das Profil von Vino an!   Senden Sie eine Private Message an Vino  Schreiben Sie einen Gästebucheintrag für Vino

Beiträge: 125
Registriert: 24.05.2005

Windows 10
BricsCAD V19

erstellt am: 03. Apr. 2018 16:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für CADJojo 10 Unities + Antwort hilfreich

Ich hab's jetzt hier unter BricsCAD versucht nachzuvollziehen.

Mit meinem Code von oben ist es hier so:

Befehl aus Werkzeugpalette aufrufen
-> Rechteck wird mit Abrundung wie in der Werkzeugpalette definiert gezeichnet. Aktueller Layer, Farbe usw. bleibt aber erhalten.

Rechtsklick zum Zeichnen eines neuen Rechtecks
-> das zweite Rechteck wird ohne Abrundung aber auf den Layer, Farbe usw. wie in der Werkzeugpalette definiert gezeichnet.

Befehl Rechteck neu eingegeben/auswählen
-> Rechteck wird ohne Abrundung auf den aktuellen Layer und in der aktuellen Farbe gezeichnet.

Bei BricsCAD sollte man sich also nach dem Aufruf des Macros angewöhnen, den Befehl Rechteck nicht mit Rechtsklick sondern "sauber" aufzurufen.
Das dürfte aber auch mit deinem ersten Code schon so sein.

Falls sich ACAD hier anders verhält, bin ich raus. Sorry.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADJojo
Mitglied
Techn. Zeichner im Ladenbau


Sehen Sie sich das Profil von CADJojo an!   Senden Sie eine Private Message an CADJojo  Schreiben Sie einen Gästebucheintrag für CADJojo

Beiträge: 480
Registriert: 16.04.2010

AutoCAD 2016
HP xw4600 Workstation / Windows 7 Pro /
Intel Core i5-3470 3,2 GHz / 8 GB RAM
Grafikkarte: AMD FirePro V3900 (ATI FireGL)

erstellt am: 04. Apr. 2018 09:12    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

So, das ist mein aktuelles Makro.....

Weil Acad sich weiterhin so komisch verhält, will ich die Layereinstellungen nachträglich wieder zurücksetzen. Funktioniert soweit auch.

^C^Crechteck;a;50;\\_layerp;_-color;bylayer;_-linetype;s;bylayer;^C^Crechteck;a;0;^C^C

Allerdings klappt es erst beim 2. Rechteck, das ich danach "sauber" (also NICHT über Rechtsklick) aufrufe.  

Edit: Wenn ich den Befehl nicht über den Button auswähle (was _rectang startet), sondern rechteck in der Befehlszeile eingebe, klappt es bei ersten Mal. 

[Diese Nachricht wurde von CADJojo am 04. Apr. 2018 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADJojo
Mitglied
Techn. Zeichner im Ladenbau


Sehen Sie sich das Profil von CADJojo an!   Senden Sie eine Private Message an CADJojo  Schreiben Sie einen Gästebucheintrag für CADJojo

Beiträge: 480
Registriert: 16.04.2010

AutoCAD 2016
HP xw4600 Workstation / Windows 7 Pro /
Intel Core i5-3470 3,2 GHz / 8 GB RAM
Grafikkarte: AMD FirePro V3900 (ATI FireGL)

erstellt am: 04. Apr. 2018 13:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Helft mir mal kurz weiter:

Wo genau liegt der Unterschied zwischen einem

^C^C_rechteck

als Makro in den Befehlseigenschaften der cui oder der Werkzeupalette hinterlegt(wobei es egal zu sein scheint, ob ich rechteck oder _rechteck oder_rectang verwende),

und der Befehlseingabe in der Befehlszeile ?????

[Diese Nachricht wurde von CADJojo am 04. Apr. 2018 editiert.]

[Diese Nachricht wurde von CADJojo am 04. Apr. 2018 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Vino
Mitglied



Sehen Sie sich das Profil von Vino an!   Senden Sie eine Private Message an Vino  Schreiben Sie einen Gästebucheintrag für Vino

Beiträge: 125
Registriert: 24.05.2005

Windows 10
BricsCAD V19

erstellt am: 04. Apr. 2018 13:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für CADJojo 10 Unities + Antwort hilfreich

Der Unterschied ist der, dass du in der Werkzeugpalette zusätzlich zu deinem Macro noch verschiedene Einstellungen (Layer, Farbe usw.) mitgeben kannst... Das geht über die Befehlszeile oder in "normalen" Befehlsschaltflächen nicht.
Allerdings kommen anscheinend sowohl AutoCAD als auch BricsCAD mit diesen Einstellungen danach durcheinander.

Der Unterstrich sagt AutoCAD, dass du den Befehl in der Internationalen Schreibweise eingeben willst.
"rechteck" und "_rectang" sind also der selbe Befehl.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADJojo
Mitglied
Techn. Zeichner im Ladenbau


Sehen Sie sich das Profil von CADJojo an!   Senden Sie eine Private Message an CADJojo  Schreiben Sie einen Gästebucheintrag für CADJojo

Beiträge: 480
Registriert: 16.04.2010

AutoCAD 2016
HP xw4600 Workstation / Windows 7 Pro /
Intel Core i5-3470 3,2 GHz / 8 GB RAM
Grafikkarte: AMD FirePro V3900 (ATI FireGL)

erstellt am: 04. Apr. 2018 13:52    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Das wusste ich eigentlich schon. 

Mein Frage bezog sich eher auf den Unterschied zwischen der Eingabe des selben Befehls,

einmal als Makro (ob Button oder Palette) und einmal als Eingabe in der Textzeile.

Das blöde bei der ganzen Sache ist, dass ich noch ein ähnliches Makro mit einem Kreis habe....und dort klappt alles so, wie es soll. 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Vino
Mitglied



Sehen Sie sich das Profil von Vino an!   Senden Sie eine Private Message an Vino  Schreiben Sie einen Gästebucheintrag für Vino

Beiträge: 125
Registriert: 24.05.2005

Windows 10
BricsCAD V19

erstellt am: 04. Apr. 2018 13:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für CADJojo 10 Unities + Antwort hilfreich

Dein Problem ist doch nur, dass du die eingestellte Abrundung des Rechtecks nach dem Macro wieder auf 0 setzen willst.
Solange du das nicht gemacht hast, hat ja laut deinem ersten Post das Macro funktioniert.
Beim Befehl Kreis merkt sich ACAD auch den letzten eingegebenen Radius. Wenn du den danach wieder auf einen anderen Wert setzen wollen und dafür den Befehl Kreis nochmal aufrufen würdest, hättest du hier sicher das selbe Problem.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADJojo
Mitglied
Techn. Zeichner im Ladenbau


Sehen Sie sich das Profil von CADJojo an!   Senden Sie eine Private Message an CADJojo  Schreiben Sie einen Gästebucheintrag für CADJojo

Beiträge: 480
Registriert: 16.04.2010

AutoCAD 2016
HP xw4600 Workstation / Windows 7 Pro /
Intel Core i5-3470 3,2 GHz / 8 GB RAM
Grafikkarte: AMD FirePro V3900 (ATI FireGL)

erstellt am: 04. Apr. 2018 14:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Okay, das letztere hatte ich nicht bedacht, auch wenn es doch etwas anders ist.

Ich versuche es jetzt mal auf einem anderen Weg: indem ich im Nachinein den Radius, die Farbe und den Linientyp ändere. mit "wahl;l" sollte das ja möglich sein.

Trotzdem Danke für die Hilfe! 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Vino
Mitglied



Sehen Sie sich das Profil von Vino an!   Senden Sie eine Private Message an Vino  Schreiben Sie einen Gästebucheintrag für Vino

Beiträge: 125
Registriert: 24.05.2005

Windows 10
BricsCAD V19

erstellt am: 04. Apr. 2018 14:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für CADJojo 10 Unities + Antwort hilfreich

Versuchs mal damit:

Code:
(defun c:rerund (/ oldlayer oldcolor)
  (setq oldlayer (getvar "clayer"))
  (setq oldcolor (getvar "cecolor"))
  (setvar "clayer" "LAYERNAME")        ;LAYERNAME durch gewünschten Layer ersetzen!
  (setvar "cecolor" "10")              ;10 durch gewünschte Farbe ersetzen!
  (command "_rectang" "a" "50")        ;50 durch gewünschten Radius ersetzen!
  (while (eq 1 (logand 1 (getvar "cmdactive")))
    (command pause)
  )
  (command "_rectang" "a" "0" (command))
  (setvar "clayer" oldlayer)
  (setvar "cecolor" oldcolor)
  (princ)
)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADJojo
Mitglied
Techn. Zeichner im Ladenbau


Sehen Sie sich das Profil von CADJojo an!   Senden Sie eine Private Message an CADJojo  Schreiben Sie einen Gästebucheintrag für CADJojo

Beiträge: 480
Registriert: 16.04.2010

AutoCAD 2016
HP xw4600 Workstation / Windows 7 Pro /
Intel Core i5-3470 3,2 GHz / 8 GB RAM
Grafikkarte: AMD FirePro V3900 (ATI FireGL)

erstellt am: 04. Apr. 2018 14:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Vielen, vielen Dank !

Ich hab´s noch um den Linientyp ergänzt (das hab ich dann hinbekommen), und es funzt, wie es soll.


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5715
Registriert: 16.09.2004

Windows 7 64bit, ACAD Rel. 14 - ACAD 2018

erstellt am: 04. Apr. 2018 17:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für CADJojo 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Vino:
... und dafür den Befehl Kreis nochmal aufrufen würdest,

Warum sollte man sich das antun, wenn es doch die Systemvariable CIRCLERAD gibt.

Jürgen

------------------
Bildung kommt nicht vom Lesen, sondern vom Nachdenken über das Gelesene. (Carl Hilty)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADchup
Ehrenmitglied V.I.P. h.c.




Sehen Sie sich das Profil von CADchup an!   Senden Sie eine Private Message an CADchup  Schreiben Sie einen Gästebucheintrag für CADchup

Beiträge: 3307
Registriert: 14.03.2001

Sicher ist, dass nichts sicher ist. Selbst das nicht.
Joachim Ringelnatz

erstellt am: 06. Apr. 2018 10:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für CADJojo 10 Unities + Antwort hilfreich

Hi,

anderer Vorschlag.
Das Abbrechen von Befehlen in Makros via ^C oder in Lisp via (command) ist immer die schlechtere Lösung, deshalb hier eine Alternative, die einzeilig ist und damit prima in der Werkzeugpalette mit ihren individuellen Eigenschaftsüberschreibungen funktioniert.

^C^C(command "_rectang" pause pause "_fillet" "_p" "_r" 50 "_l")


Gruß
CADchup

------------------
CADmaro.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz